Loading...
Searching...
No Matches
update_user_bins.cpp File Reference

Implements raptor::hibf::update_user_bins. More...

`#include <lemon/list_graph.h>`
`#include <raptor/build/hibf/update_user_bins.hpp>`

## Namespaces

namespace | raptor::hibf
| Must be first include.

## Functions

template<seqan3::data_layout data_layout_mode>
void | raptor::hibf::update_user_bins (build_data< data_layout_mode > &data, std::vector< int64_t > &filename_indices, chopper_pack_record const &record)
template void | raptor::hibf::update_user_bins< seqan3::data_layout::compressed > (build_data< seqan3::data_layout::compressed > &, std::vector< int64_t > &, chopper_pack_record const &)
template void | raptor::hibf::update_user_bins< seqan3::data_layout::uncompressed > (build_data< seqan3::data_layout::uncompressed > &, std::vector< int64_t > &, chopper_pack_record const &)

## Detailed Description

Implements raptor::hibf::update_user_bins.

Author
  Enrico Seiler <enrico.seiler AT fu-berlin.de>